package xn.xxp.utils

import androidx.fragment.app.FragmentManager
import androidx.fragment.app.FragmentPagerAdapter
import androidx.viewbinding.ViewBinding
import core.ui.fragment.RcBaseFragment

/**
 * info
 *
 * @author ReiChin_
 */
class TabFragmentPagerAdapter(
    fragmentManager: FragmentManager,
    private val pageParamArray: MutableList<out RcBaseFragment<out ViewBinding>>
) : FragmentPagerAdapter(fragmentManager, BEHAVIOR_RESUME_ONLY_CURRENT_FRAGMENT) {

    override fun getCount() = pageParamArray.size
    override fun getItem(position: Int) = pageParamArray[position]
}